@font-face {
  font-family: temp;
  src: url(../font/t3mp.ttf);
}

#div4  {
  resize: vertical;
}

#indeximg {
  filter: hue-rotate(0deg);
  position: fixed;
  left: 50%;
  transform: translateX(-50%);
  transition: filter 0.5s ease;
}

body {
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
  transition: background 1s ease;
  text-align: center;
  margin: 0;
  overflow: hidden;
}

#index{
  display: flex;
  position: fixed;
  bottom: 0;
  left: 50%;
  height:30px;
  width:100%;
  padding-bottom: .2%;
  opacity: 1;
  transition: opacity .5s ease;
}

#div2 {
  transform: translateY(10%);
}

a {
  color: #ff9900;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

#showContentButton {
  cursor: pointer;
}

p2 {
  text-align: center;
  position: absolute;
  top: 95%;
  left: 50%;
  font-family: 'temp';
  font-size: 20px;
  color: #432656;
}

.additional-text {
  transform: translateY(-30px);
}

p {
  font-size: 20px;
  color: #ff6600;
  text-shadow: -2px 2px #ff660066;
}

p1, p3 {
  text-align: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%);
  font-family: 'temp';
  font-size: 20px;
  color: #be1cfd;
}

p3 {
  color: white;
}

p4 {
  position: absolute;
  top: 9.5%;
  color: #00baff;
  text-shadow: -2px 2px #00baff66;
  transform: translateX(-50%);
  font-family: 'temp';
  font-size: 38px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

p5 {
  text-align: center;
  transform: translateX(-50%);
  font-family: 'temp';
  font-size: 24px;
  color: #be1cfd;
}


p6 {
  text-align: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%);
  font-family: 'temp';
  font-size: 20px;
  color: #be1cfd;
}

.parallax-container {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.layer {
  position: absolute;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

#404 {
  transform: translateY(100%);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  align-items: center;
  justify-content: center;
}

#pmet {
  transform: translateY(-200%) !important;
}

.btn-group {
  display: flex;
  justify-content: center;
  align-items: center;
}

#div1 {
  position: absolute;
  transform: translate(-3500%, -1375%);
}

.social-container {
  text-align: center;
}

.social-container button {
  padding: 20px 10px;
  cursor: pointer;
}

#divContainer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  top: 50%;
  left: 50%;
  width: 1200px;
  height: 480px;
  position: fixed;
  transform: translate(-50%, -50%);
}

.nav-button {
  filter: hue-rotate(0deg);
  display: flex;
  background-color: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
  margin: 0;
  transition: transform 0.3s ease, filter 0.5s ease, opacity .5s ease;;
  opacity: 1;
}

.nav-button:hover {
  filter: brightness(1.2);
  transform: scale(1.1);
}

.content-container {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

#animation-container {
  width: 1200px;
  height: 480px;
  position: absolute;
  top: 50%;
  left: 50%;
  background-size: 90%;
  transform: translate(-50%, -50%);
}

#parallax {
  width: 100%;
  height: 100%;
  background-size: cover;
  position: absolute;
}

.textarea {
  line-height: 1.3;
  top: 50%;
  left: 50%;
  position: absolute;
  width: 840px;
  height: 320px;
  padding: 12px;
  box-sizing: border-box;
  transform: translate(-50%, -50%);
  background-color: transparent;
  font-family: 'temp', sans-serif;
  font-size: 24px;
  color: #00baff;
  text-shadow: -2px 2px #00baff66;
  white-space: pre-line;
  text-align: left;
  border: none;
  z-index: 1;
  outline: none; 
  resize: none;
  overflow: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

textarea::-webkit-scrollbar {
  width: 0;
}

textarea[readonly]::placeholder {
  color: #be1cfd;
}

#div2 {
  transform: translate(0%, 25%);
}

#animation-container2 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#animation-container3 {
  animation: frameAnimation3 .75s linear infinite;
  width: 50px;
  height: 50px;
  background-size: cover;
  position: absolute;  
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#aboutme {
  width: 1200px;
  height: 480px;
  background-size: cover;
  position: absolute;  
  top: 50%;
  left: 50%;
  transform: translate(-50%, -55%);
  z-index: 0;
}

.div-content-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

#div5 {
  transform: translateY(12%);
}

.grey {
  color: #a167ff;
  font-size: 22px;
  text-shadow: -2px 2px hsla(0, 0%, 38%, 0.6);
  top: 50%;
  left: 50%;
  transform: translate(0%, -175%);
}

.div-content {
    opacity: 0;
    border: 0px solid #ccc;
    padding: 10px;
    top: 50%;
    left: 50%;
    text-align: center;
    font-family: 'temp';
    transition: opacity 0.3s ease;
    pointer-events: none;
  }
  
.div-content.active {
    opacity: 1;
    pointer-events: auto;
  }
  
button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    z-index: 1;
  }
  
button:hover {
    transform: scale(1.1);
  }

#bgvid {
  filter: hue-rotate(0deg);
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
  min-height: 100%;
  z-index:-100;
  transition: filter 0.5s ease;
}

#vid {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  min-width: 100%;
  min-height: 100%;
  width: 640px;
  height: 360px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  transition: outline 0.3s ease, transform 0.3s ease, box-shadow 0.3s ease;
}

#vid:hover {
  transform: translate(-50%, -50%) scale(1.05);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.7);
  outline: 5px solid #008225;
  cursor: pointer;
}

button:hover {
  transform: scale(1.1);
}